      SUBROUTINE HELP
      WRITE(6,1) ' '
      WRITE(6,1) '                        CGNHLP'
      WRITE(6,1) 'Author: Ned Kelly'
      WRITE(6,1) ' '
      WRITE(6,1) 'This program is designed to take a .DOC ' //
     + 'file which documents'
      WRITE(6,1) 'a particular program and generate a C so' //
     + 'ucre file called'
      WRITE(6,1) 'HELP.C which is a routine which will dis' //
     + 'play what was in'
      WRITE(6,1) 'the .DOC file.'
      WRITE(6,1) ' '
      WRITE(6,1) 'Calling sequence is:'
      WRITE(6,1) '   CGNHLP ?             Display this fil' //
     + 'e.'
      WRITE(6,1) '   CGNHLP filename      From filename.do' //
     + 'c generate HELP.C'
      WRITE(6,1) '   CGNHLP               Prompt for filen' //
     + 'ame and generate HELP.C'
      WRITE(6,1) ' '
    1 FORMAT(A) 
      RETURN 
      END 
